QGIS Application - Feature request #3258
Add "Topological edit" checkbox to the new snapping window
2010-11-26 11:25 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13318
Description

The button "Allow topological editing", now left in Project properties, should be moved to the new Snapping Options window, a much more
logical and convenient location.
Possibly also Avoid intersection option could be moved.

History

#1 - 2010-11-27 07:52 PM - Nathan Woodrow

I have added my patch to move the above features to the snapping dialog. The code was copied from the project properties code so the functionality
should be the same and | have done testing and it seems to work the same.

| also renamed the dialog title as it used to be in the Digitizing section in the project properties dialog, so | change the dialog name to "Snapping and
Digitizing Options".

#2 - 2010-11-28 09:23 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to fixed

applied in commit:e7428cd0 (SVN r14779)

#3 - 2010-11-28 11:03 AM - Paolo Cavallini
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

Great, thanks.
One more suggestion: wouldn't it be better to add "Avoid intersection of new polygons" as an additional flaggable column in the main snapping table,
instead of in a new popup?

#4 - 2010-12-01 05:56 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Feedback to Closed

oh, missed the patch - reimplemented in commit:978cc79f (SVN r14798).
Files

Patch3258.diff 12.4 KB 2010-11-27 Nathan Woodrow
avoidintersectionInSnappinDialog.diff 13.4 KB 2010-11-28 cmoe -
